Subject: Re: git bisect not accepting -git kernels

From: Amit Walambe <[email-masked]>
Date: Tue, 17 Jul 2007 17:36:28 +0100

Hi,
Thanks for both the replies.

Thomas Glanzmann wrote:
> Hello,
> 
>> # git --version
>> git version 0.99.8.GIT
> 
> this doesn't match
> 
>> '# dpkg -l | grep git' shows ' git-core 1:1.5.2.3-1'
This struck me as being weird, but I thought 'git' utility version is 
different than the package. My mistake! :)

> that. Maybe you should build your own git packages. Lucky you that it is
> pretty easy with debian. Have a look at this thread:
I didn't build my own git version. What I did do was to remove the old 
git and ensure I am using the Debian installed one.

Now I am getting a different error :
root@amit:/usr/src/linux-git # which git
/usr/bin/git
root@amit:/usr/src/linux-git # git --version
git version 1.5.2.3
root@amit:/usr/src/linux-git # git bisect good v2.6.22-rc6
root@amit:/usr/src/linux-git # git bisect bad v2.6.22-rc8
fatal: Needed a single revision
root@amit:/usr/src/linux-git #

A quick search on the net didn't yield anything. Please help me find out 
what's going wrong.
Thanks and Regards,
-- 
Amit Walambe
Design Engineer, Arcom Control Systems Ltd.
http://www.arcom.com
Tel: +44-(0)1223 411200 ext. 3204
Direct: +44-(0)1223 403465

_____________________________________________________________________
The message in this transmission is sent in confidence for the attention of the addressee only and should not be disclosed to any other party. Unauthorised recipients are requested to preserve this confidentiality. Please advise the sender if the addressee is not resident at the receiving end.  Email to and from Arcom is automatically monitored for operational and lawful business reasons.

This message has been virus scanned by MessageLabs.